/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gbrochar <gbrochar@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2020/12/22 12:02:14 by gbrochar          #+#    #+#             */
/*   Updated: 2020/12/22 20:11:50 by gbrochar         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "scop.h"

int				main(int argc, char **argv)
{
	t_env		e;

	init_env(&e);
	if (parse(&e, argc, argv) == SUCCESS)
	{
		// printf("vertices: ");
		// for (size_t i = 0; i < e.object.vertices.ptr; i++)
		// 	printf("%f ", e.object.vertices.data[i]);
		// printf("\nuvs: ");
		// for (size_t i = 0; i < e.object.uvs.ptr; i++)
		// 	printf("%f ", e.object.uvs.data[i]);
		// printf("\nnormals: ");
		// for (size_t i = 0; i < e.object.normals.ptr; i++)
		// 	printf("%f ", e.object.normals.data[i]);
		// printf("\nindices: ");
		// for (size_t i = 0; i < e.object.indices.ptr; i++)
		// 	printf("%d ", e.object.indices.data[i]);
		// printf("\n");
	}
	else
	{
		free_env(&e);
		printf("file reading error\n");
		return (FAILURE);
	}
	free_env(&e);
	return (SUCCESS);
}
